Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt
Enum QNativePointer.Type

    java.lang.Object
      java.lang.Enum<QNativePointer.Type>
          com.trolltech.qt.QNativePointer.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QNativePointer.Type>

Enclosing class:
  QNativePointer

    public static enum QNativePointer.Type

extends java.lang.Enum<QNativePointer.Type>

The Type enum describe the Java types that can be used by a QNativePointer.

Enum Constant Summary
`Boolean` Java Boolean
`Byte` Java Byte
`Char` Java Char
`Double` Java Double
`Float` Java Float
`Int` Java Int
`Long` Java Long
`Pointer` Another QNativePointer of any type
`Short` Java Short
`String` Java String

Method Summary
`static QNativePointer.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QNativePointer.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Boolean

    public static final QNativePointer.Type Boolean

  Java Boolean

### Byte

    public static final QNativePointer.Type Byte

  Java Byte

### Char

    public static final QNativePointer.Type Char

  Java Char

### Short

    public static final QNativePointer.Type Short

  Java Short

### Int

    public static final QNativePointer.Type Int

  Java Int

### Long

    public static final QNativePointer.Type Long

  Java Long

### Float

    public static final QNativePointer.Type Float

  Java Float

### Double

    public static final QNativePointer.Type Double

  Java Double

### Pointer

    public static final QNativePointer.Type Pointer

  Another QNativePointer of any type

### String

    public static final QNativePointer.Type String

  Java String

Method Detail

### values

    public static final QNativePointer.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QNativePointer.Type c : QNativePointer.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QNativePointer.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD